For the complete documentation index, see llms.txt. This page is also available as Markdown.

Statuses

Statuses reflect the current stage of an Idea or feature request for your product as it progresses from suggestion, through development, to completion.

Status object

Status have the following fields

Field
Details

idx string

A unique identifier for the idea

name string

Name of the status

color string

Color associated with the status (displayed in the App)

Endpoints

You can use the following endpoints to manage Statuses

List statuses

get

Returns a list of statuses

Authorizations
AuthorizationstringRequired

API key in Authorization header with Bearer prefix (recommended)

Query parameters
limitintegerOptional

Limits the number of items on a page

Default: 20
afterstringOptional

The after cursor - used for pagination

Responses
200

Successfully returned a list of statuses

application/json
get/statuses
GET /v1/statuses HTTP/1.1
Host: api.frill.co
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "idx": "status_abcd1234",
      "name": "Completed",
      "color": "#ff00ff",
      "created_at": "text",
      "updated_at": "text"
    }
  ],
  "pagination": {
    "total": 10,
    "before": "before-cursor",
    "after": "after-cursor"
  }
}

Create a status

post

Create a new status

Authorizations
AuthorizationstringRequired

API key in Authorization header with Bearer prefix (recommended)

Body
namestringOptional
Responses
200

Successfully created a new status

application/json
idxstringRequired

A unique identifier for the status

Example: status_abcd1234
namestringOptional

Name of the status

Example: Completed
colorstringOptional

Color associated with the status (displayed in the App)

Example: #ff00ff
created_atstringOptional

The date & time the Status was last updated (UTC timezone)

updated_atstringOptional

The date & time the Status was last updated (UTC timezone)

post/statuses
POST /v1/statuses HTTP/1.1
Host: api.frill.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "name": "text"
}
{
  "idx": "status_abcd1234",
  "name": "Completed",
  "color": "#ff00ff",
  "created_at": "text",
  "updated_at": "text"
}

Update a status

post

Update a Status

Authorizations
AuthorizationstringRequired

API key in Authorization header with Bearer prefix (recommended)

Path parameters
statusIdxstringRequired
Body
namestringOptional
Responses
200

Successfully updated a status

application/json
idxstringRequired

A unique identifier for the status

Example: status_abcd1234
namestringOptional

Name of the status

Example: Completed
colorstringOptional

Color associated with the status (displayed in the App)

Example: #ff00ff
created_atstringOptional

The date & time the Status was last updated (UTC timezone)

updated_atstringOptional

The date & time the Status was last updated (UTC timezone)

post/statuses/{statusIdx}
POST /v1/statuses/{statusIdx} HTTP/1.1
Host: api.frill.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "name": "text"
}
{
  "idx": "status_abcd1234",
  "name": "Completed",
  "color": "#ff00ff",
  "created_at": "text",
  "updated_at": "text"
}

Delete a status

delete

Delete a Status

Authorizations
AuthorizationstringRequired

API key in Authorization header with Bearer prefix (recommended)

Path parameters
statusIdxstringRequired
Responses
200

Request was successful

application/json
successbooleanOptional
messagestringOptionalExample: Request was successful
delete/statuses/{statusIdx}
DELETE /v1/statuses/{statusIdx} HTTP/1.1
Host: api.frill.co
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "success": true,
  "message": "Request was successful"
}

Last updated